Página 1 de 2 12 ÚltimoÚltimo
+ Responder ao Tópico



  1. Pessoal,

    estou com um servidor rodando Slackware 12.2 e precisei fazer umas atualizações (apache, php, ldap client, etc).
    Após fazer todas as atualizações (pacotes do Slackware 13.0) ao iniciar o Apache recebo a seguinte mensagem:

    /usr/sbin/httpd: error while loading shared libraries: libldap-2.3.so.0: cannot open shared object file: No such file or directory

    No entanto no diretório /usr/lib/
    só tem /usr/lib/libldap-2.4.so.2
    Ou seja, a libldap está na versão 2.4 e o apache está buscando ela na versão 2.3. Procurei no httpd.conf e não achei nenhuma linha que aponte para esse arquivo.

    Será que alguém pode me ajudar?

    abraço

  2. Cara, slackware se não me engano não é rolling release, então atualizar não dá certo.
    Você pode tentar atualizar o apache também, que deve buscar pela lib nova já.
    Se não achar, faça um symlink da versão nova para a antiga
    (algo como ln -s /usr/lib/libldap-2.4.so.2 /usr/lib/lildap-2.3.so.0)



  3. fiz atualização do Apache, só que agora ele tá apresentando a seguinte mensagem:

    /usr/sbin/httpd: error while loading shared libraries: libuuid.so.1: cannot open shared object file: No such file or directory

    Instalei a E2fsprogs, mas esse arquivo não continua não existindo.
    Dei um ldd /usr/sbin/httpd e o resultado é o seguinte:
    linux-gate.so.1 => (0xffffe000)
    libm.so.6 => /lib/libm.so.6 (0xb7f77000)
    libpcre.so.0 => /usr/lib/libpcre.so.0 (0xb7f56000)
    libaprutil-1.so.0 => /usr/lib/libaprutil-1.so.0 (0xb7f38000)
    libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7f18000)
    libdb-4.4.so => /lib/libdb-4.4.so (0xb7e1d000)
    libldap-2.4.so.2 => /usr/lib/libldap-2.4.so.2 (0xb7ddf000)
    libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0xb7dc8000)
    libssl.so.0 => /usr/lib/libssl.so.0 (0xb7d88000)
    libcrypto.so.0 => /usr/lib/libcrypto.so.0 (0xb7c4a000)
    liblber-2.4.so.2 => /usr/lib/liblber-2.4.so.2 (0xb7c3e000)
    libresolv.so.2 => /lib/libresolv.so.2 (0xb7c26000)
    libapr-1.so.0 => /usr/lib/libapr-1.so.0 (0xb7c00000)
    libuuid.so.1 => not found
    librt.so.1 => /lib/librt.so.1 (0xb7bf7000)
    libcrypt.so.1 => /lib/libcrypt.so.1 (0xb7bc4000)
    libpthread.so.0 => /lib/libpthread.so.0 (0xb7baa000)
    libdl.so.2 => /lib/libdl.so.2 (0xb7ba6000)
    libc.so.6 => /lib/libc.so.6 (0xb7a43000)
    /lib/ld-linux.so.2 (0xb7faa000)
    libldap-2.3.so.0 => /usr/lib/libldap-2.3.so.0 (0xb7a0d000)
    liblber-2.3.so.0 => /usr/lib/liblber-2.3.so.0 (0xb7a01000)
    libuuid.so.1 => not found
    libuuid.so.1 => not found

  4. LibUUID fica na LibUUID (hehe, lógico)
    Tenta achar essa lib.
    (Não era mais negócio instalar o Slack novo duma vez?)



  5. Resolví,

    copiei a libuuid.so.1 de outro servidor para dentro de /lib e instalei a apr-1.3.3 e a apr-utils-1.3.4
    Aí o Apache funcionou.

    Não dava pra formatar pq esse é um servidor que está em produção (OpenVPN, Asterisk, etc).






Tópicos Similares

  1. Erro ao iniciar o Apache !!!
    Por Marcio68Almeida no fórum Servidores de Rede
    Respostas: 21
    Último Post: 18-09-2006, 11:29
  2. Erro ao Iniciar o Apache
    Por flaviobatistela no fórum Servidores de Rede
    Respostas: 4
    Último Post: 14-09-2006, 21:09
  3. Erro ao iniciar o apache
    Por Marques no fórum Servidores de Rede
    Respostas: 6
    Último Post: 07-10-2004, 13:17
  4. ERRO ao iniciar o Squid
    Por rdsat no fórum Servidores de Rede
    Respostas: 2
    Último Post: 12-10-2003, 22:23
  5. Erro ao iniciar o qmail
    Por no fórum Servidores de Rede
    Respostas: 3
    Último Post: 05-05-2003, 09:26

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L